.TH PROMETHEUS-PROCESS-EXPORTER 1 "October 2018" "0.4.0" Prometheus
.SH NAME
prometheus-process-exporter \- Prometheus exporter which mines procfs to report
on selected processes.
.SH SYNOPSIS
.B prometheus-process-exporter
.RI [ option ...]
.SH DESCRIPTION
Some apps are impractical to instrument directly, either because you don't
control the code or they're written in a language that isn't easy to
instrument with Prometheus. This exporter solves that issue by mining
process metrics from procfs.
.PP
The recommended option is to use a config file, but for convenience and
backwards compatibility the \f[B]\-procnames\f[] / \f[B]\-namemapping\f[]
options exist as an alternative.
.PP
The \f[B]\-children\f[] option (default:true) makes it so that any process
that otherwise isn't part of its own group becomes part of the first group
found (if any) when walking the process tree upwards. In other words, resource
usage of subprocesses is added to their parent's usage unless the subprocess
identifies as a different group name.
.SH OPTIONS
.TP
\f[B]\-children\f[]
If a proc is tracked, track with it any children that
aren't part of their own group (default true).
.TP
\f[B]\-config.path\f[] \f[I]string\f[]
Path to YAML config file.
.TP
\f[B]\-debug\f[]
Log debugging information to stdout.
.TP
\f[B]\-man\f[]
Print manual.
.TP
\f[B]\-namemapping\f[] \f[I]string\f[]
Comma\-separated list, alternating
process name and capturing regex to apply to cmdline.
.\" The following option has been patched out, we comment it out.
.ig
.TP
\f[B]\-once\-to\-stdout\-delay\f[] \f[I]duration\f[]
Don't bind, just wait this
much time, print the metrics once to stdout, and exit.
..
.TP
\f[B]\-procfs\f[] \f[I]string\f[]
Path to read proc data from (default "/proc").
.TP
\f[B]\-procnames\f[] \f[I]string\f[]
Comma\-separated list of process names to monitor.
.TP
\f[B]\-recheck\f[] Re\-check process names on each scrape.
.TP
\fB-web.config.file\fP \fIstring\fP
Path to YAML web config file.
.TP
\f[B]\-web.listen\-address\f[] \f[I]string\f[]
Address on which to expose
metrics and web interface. (default ":9256").
.TP
\f[B]\-web.telemetry\-path\f[] \f[I]string\f[]
Path under which to expose metrics. (default "/metrics").
.SH SEE ALSO
\f[B]proc\f[](5)
.SH AUTHOR
Nick Cabatoff <nick.cabatoff@gmail.com>
